#!/usr/bin/python
# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4

import sys
from optparse import OptionParser
from imagetools import render_list_icon

def main():
    parser = OptionParser()
    parser.add_option('-f', '--frames', dest='frames', help='Poster frames (image files to be read)', default='')
    parser.add_option('-i', '--icon', dest='icon', help='Icon (image file to be written)')
    (options, args) = parser.parse_args()
    if options.icon == None:
        parser.print_help()
        sys.exit()

    frames = options.frames.replace(', ', ',').split(',')

    render_list_icon(frames, opt.icon)
